## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://gitlab.com/inkscape/lib2geom
Version:        1.4
%forgemeta

Name:           lib2geom
Release:        %autorelease
Summary:        Easy to use 2D geometry library in C++

License:        LGPL-2.1-only AND MPL-1.1
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  boost-devel
BuildRequires:  gsl-devel
BuildRequires:  double-conversion-devel
BuildRequires:  gtest-devel
BuildRequires:  ragel

BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gsl)

%description
2Geom is a C++ 2D geometry library geared towards robust processing of
computational geometry data associated with vector graphics.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains development files for %{name}.

%prep
%forgeautosetup -p1

%build
%ifarch aarch64 ppc64le riscv64 s390x
export CFLAGS="%{optflags} -ffp-contract=off"
export CXXFLAGS="%{optflags} -ffp-contract=off"
%endif

%cmake \
    -GNinja \
    -DCMAKE_BUILD_TYPE=Release \
    -D2GEOM_BUILD_SHARED=ON \
    -DCMAKE_SKIP_INSTALL_RPATH=ON \

%cmake_build

%install
%cmake_install

%check
%ifarch %{ix86} x86_64
%ctest
#%%else
#%%ctest -E CoincidingIntersect
%endif

%files
%license COPYING-LGPL-2.1 COPYING-MPL-1.1
%doc README.md
%{_libdir}/lib2geom.so.1.4*

%files devel
%dir %{_includedir}/2geom-*
%{_includedir}/2geom-*/2geom/
%{_libdir}/cmake/2Geom/
%{_libdir}/lib2geom.so
%{_libdir}/pkgconfig/2geom.pc

%changelog
## START: Generated by rpmautospec
* Mon Oct 14 2024 Gwyn Ciesla <gwync@protonmail.com> - 1.4-2
- Only run tests on x86

* Mon Oct 14 2024 Gwyn Ciesla <gwync@protonmail.com> - 1.4-1
- 1.4

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Apr 05 2024 topazus <topazus@outlook.com> - 1.3-8
- Fix testing error on non-x86; rhbz#2273660

* Fri Mar 29 2024 Kanak Shilledar <kanakshilledar111@protonmail.com> - 1.3-7
- add compiler flags for riscv64

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Dec 25 2023 topazus <topazus@outlook.com> - 1.3-4
- disable packit on epel

* Mon Dec 25 2023 topazus <topazus@outlook.com> - 1.3-3
- add packit

* Fri Aug 11 2023 topazus <topazus@outlook.com> - 1.3-2
- add i686

* Fri Jul 28 2023 topazus <topazus@outlook.com> - 1.3-1
- initial import (RHBZ#2226762)
## END: Generated by rpmautospec
